import request from "@/scripts/httpRequest";
import qs from "qs";

export const findAllFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/findAllFile",
    method: "get",
    params: params
  });
};

export const findAllFileByStackId = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/findByStackId",
    method: "get",
    params: params
  });
};

export const show = () => {
  return request({
    url: "/data/api-v/fileSetting/show",
    method: "get"
  });
};

export const sortFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/sortFile",
    method: "post",
    data: params
  });
};

export const updateStatus = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/updateStatus",
    method: "post",
    data: params
  });
};

export const changeEnable = (params: any) => {
  return request({
    url: "/data/api-v/fileSetting/changeEnable",
    method: "post",
    data: params
  });
};

export const deleteLocalFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/delete",
    method: "post",
    data: params
  });
};

export const ruleApply2All = (params: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/ruleApply2All",
    method: "post",
    data: params
  });
};

export const getDataStackDirs = (params: any) => {
  return request({
    url: "/data/api-v/fileStack/findAllByPage",
    method: "get",
    params: params
  });
};

export const getDirDetails = (id: string) => {
  return request({
    url: "/data/api-v/fileStack/show/" + id,
    method: "get"
  });
};

export const saveDir = (params: any) => {
  return request({
    url: "/data/api-v/fileStack/save",
    method: "post",
    data: params
  });
};

export const delDir = (id: string) => {
  return request({
    url: "/data/api-v/fileStack/delete/" + id,
    method: "delete"
  });
};

export const switchDir = (params: any) => {
  return request({
    url: "/data/api-v/fileStack/changeEnable",
    method: "post",
    data: params
  });
};

export const renameFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/rename",
    method: "post",
    data: qs.stringify(params)
  });
};

export const moveFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/move",
    method: "post",
    data: qs.stringify(params)
  });
};

export const copyFile = (params: any) => {
  return request({
    url: "/data/api-v/fileAnalysis/copy",
    method: "post",
    data: params
  });
};

